using System;



    class Program
    {
       static bool veca(string a,string b)
        {
            int br = 0;
            while (true)
            {
                if (br == a.Length)
                    return false;
                if (br == b.Length)
                    return true;

                if (a[br] > b[br])
                    return true;
                else if (a[br] < b[br])
                    return false;
                else
                    br++;

            }

           
        }





        static void Main(string[] args)
        {
            string a, b, c;
            a = Console.ReadLine();
            b = Console.ReadLine();
            c = Console.ReadLine();
            string kon;
            if (veca(a,b))
            {
                if (veca(a, c))
                {

                    kon = a;
                    if (veca(c, b))
                    {
                        kon += c + b;


                    }
                    else
                    {
                        kon += b + c;
                    }


                }
                else
                {
                    kon = c;
                    if (veca(a, b))
                    {
                        kon += a + b;


                    }
                    else
                    {
                        kon += b + a;
                    }


                }
            }
            else
            {
                if (veca(b,c))
                {

                    kon = b;
                    if (veca(c,a))
                    {
                        kon += c + a;


                    }
                    else
                    {
                        kon += a + c;
                    }



                }
                else
                {
                    kon = c;
                    if (veca(a, b))
                    {
                        kon += a + b;


                    }
                    else
                    {
                        kon += a + c;
                    }


                }

            }
            Console.Write(kon);
            

        }
    }